using Dapper;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using XYY.Core.Standard.Data.Infrastructure;
using XYY.Model.Standard.Order;
using XYY.Model.Standard.OrderAddressCheck;

namespace XYY.Data.Standard.Order
{
    public interface IOrderApiDeclarationRepository : IBaseRepository<Order_ApiDeclaration>
    {
        List<FRSLAreas> GetFRSLAreas();
    }

    public class OrderApiDeclarationRepository : BaseRepository<Order_ApiDeclaration>, IOrderApiDeclarationRepository
    {
        public OrderApiDeclarationRepository(IUnitOfWork unitOfWork) : base(unitOfWork)
        {

        }
        public List<FRSLAreas> GetFRSLAreas()
        {
            string sql = @"select * from FRSLAreas(nolock)";
            return _unitOfWork.Connection.Query<FRSLAreas>(sql).ToList();
        }
    }
}
